### Method

# Gtk.CellArea.apply_attributes

#### Declaration [src]

    void
    gtk_cell_area_apply_attributes (
      GtkCellArea* area,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gboolean is_expander,
      gboolean is_expanded
    )

#### Description [src]

Applies any connected attributes to the renderers in `area` by pulling the values from `tree_model`.

#### Parameters

`tree_model` | `GtkTreeModel`
| the `GtkTreeModel` to pull values from
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| the `GtkTreeIter` in `tree_model` to apply values for
| Ownership is not transferred to the callee
`is_expander` | `gboolean`
| whether `iter` has children
`is_expanded` | `gboolean`
| whether `iter` is expanded in the view and children are visible